
QGIS Application - Bug report #21071

Crash on exit from a minimal project

2019-01-22 04:49 PM - Paulo Cardoso

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28889

Description

User Feedback

Crash on exit from a minimal project

Report Details

Crash ID: f14b235261d11cf19e208ab34fdb7be4957e6364

Stack Trace

QgsDirectoryItem::createChildren :

QgsDataItem::runCreateChildren :

QgsDataItem::runCreateChildren :

QgsDataItem::rowCount :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-01-22 10:31 PM - Giovanni Manghi

- Category changed from GUI to Build/Install

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Low to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed).
#2 - 2019-01-23 06:00 AM - Peter Moreau

Having the same problem with different reports:

User Feedback

Saved the project.

Quit the application.

Windows 10 64-bit, x64-based processor

i7-8750H processor

16 GB RAM

Report Details

Crash ID: 69f1683d149d61e4ebfa4a990193d2277d0ade0f

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsFirstRunDialog::tr :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator char * __ptr64 * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2019-01-23 10:57 AM - Jürgen Fischer

Peter Moreau wrote:

Stack Trace

[...]

unrelated to this - see #20283

#4 - 2019-03-08 10:48 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Giovanni Manghi wrote:
Please try with a new/clean profile (no 3rd party plugins installed).

Closing for lack of feedback.
